Auth service
Consumer
4 endpoints.
POST
/api/v1/consumer/auth/passwordless_authPasswordless Auth
Parameters
| Name | In | Type | Description |
|---|---|---|---|
X-API-Keyrequired | header | string |
Request bodyrequired
application/jsonPasswordlessAuthBody| Field | Type | Description |
|---|---|---|
phonerequired | string | |
verification_tokenrequired | string | |
first_namerequired | string | |
last_namerequired | string | |
emailrequired | string | |
webchat_session_id | string | null |
Responses
201Successful Responseapplication/jsonobject422Validation Error
Error bodies: HTTPValidationError. See Errors.
POST
/api/v1/consumer/auth/send_codeSend Code
Parameters
| Name | In | Type | Description |
|---|---|---|---|
X-API-Keyrequired | header | string |
Request bodyrequired
application/jsonSendCodeBody| Field | Type | Description |
|---|---|---|
phonerequired | string |
Responses
200Successful Responseapplication/jsonobject422Validation Error
Error bodies: HTTPValidationError. See Errors.
POST
/api/v1/consumer/auth/verify_codeVerify Code
Parameters
| Name | In | Type | Description |
|---|---|---|---|
X-API-Keyrequired | header | string |
Request bodyrequired
application/jsonVerifyCodeBody| Field | Type | Description |
|---|---|---|
phonerequired | string | |
coderequired | string |
Responses
200Successful Responseapplication/jsonobject422Validation Error
Error bodies: HTTPValidationError. See Errors.
GET
/api/v1/consumer/meConsumer Me
Parameters
| Name | In | Type | Description |
|---|---|---|---|
X-API-Key | header | string | null | |
authorization | header | string | null |
Responses
200Successful Responseapplication/jsonobject422Validation Error
Error bodies: HTTPValidationError. See Errors.